using KanbnToQuartz.DependencyInjection;
using KanbnToQuartz.Models;

WebApplicationBuilder webApplicationBuilder = WebApplication.CreateBuilder(args);
{
    _ = webApplicationBuilder.Services.AddServices();
    _ = webApplicationBuilder.Services.AddControllers();
    _ = webApplicationBuilder.Configuration.AddUserSecrets<Program>();
    AppSettings appSettings = AppSettings.Get(webApplicationBuilder.Configuration);
    _ = webApplicationBuilder.Services.AddSingleton(_ => appSettings);
}
WebApplication webApplication = webApplicationBuilder.Build();
{
    _ = webApplication.MapControllers();
}
ILogger<Program>? logger = webApplication.Services.GetRequiredService<ILogger<Program>>();
logger.LogInformation("Starting Web Application");
webApplication.Run();
